%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           ocaml-json-static
Version:        0.9.6
Release:        5%{?dist}
Summary:        OCaml JSON validator and converter (syntax extension)

Group:          Development/Libraries
License:        BSD
URL:            http://martin.jambon.free.fr/json-static.html
Source0:        http://martin.jambon.free.fr/json-static-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:    ppc64

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-camlp4-devel

# Make this dependency explicit because users won't be able
# to do much useful without it, and the automatic dependency
# checking script cannot pick it up.
Requires:       ocaml-json-wheel

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh -i Asttypes -i Parsetree
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh


%description
json-static is a tool for converting parsed JSON data with an
unchecked structure into specialized OCaml types and vice-versa.
It is a complement to the json-wheel library which provides a
parser and a (pretty-) printer.


%prep
%setup -q -n json-static-%{version}


%build
make


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README Changes yahoo.ml
%{_libdir}/ocaml/json-static


%changelog
* Tue Jul  1 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.6-5
- Ignore Asttypes & Parsetree deps.

* Tue May 13 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.6-4
- ExcludeArch ppc64 (only for F-8).

* Mon May 12 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.6-3
- Fixed the description.

* Wed Mar  5 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.6-2
- Remove ExcludeArch ppc64.

* Thu Feb 28 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.6-1
- Initial RPM release.
